> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Dataset

> Create a new simulation dataset.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/simulation/datasets
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/simulation/datasets:
    post:
      tags:
        - Simulation
      summary: Create New Dataset
      description: Create a new simulation dataset.
      operationId: core_api_v1_controllers_simulation_create_new_dataset
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationDatasetCreateIn'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulationDatasetOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SimulationDatasetCreateIn:
      description: |-
        Schema for creating a simulation dataset via the v1 API.

        Note: default_persona_id can only be set via update, not create.
      properties:
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
      required:
        - name
      title: SimulationDatasetCreateIn
      type: object
    SimulationDatasetOut:
      description: Response schema for simulation datasets.
      properties:
        object:
          default: simulation_dataset
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        default_persona_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Persona Id
        test_case_count:
          default: 0
          title: Test Case Count
          type: integer
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
      title: SimulationDatasetOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````